---
title: "v0.11.0: the Creatures Update"
date: 2022-02-21T14:49:09-08:00
draft: false
---
This is a new, **major** release of the _Sketchy Maze_ beta. There are a bunch of
new tweaks to gameplay including controller support and an A.I. overhaul for the
enemy creatures.

[Download](/download) the latest release now or see the
[change log](https://www.sketchymaze.com/guidebook/changes.html) for full
details. The highlights of this release are described below.

<img src="/images/v0.11.0-zoo.png" class="portrait" alt="Screenshot of The Zoo">

## New Features

#### Creatures are more aggressive

The game's creatures have had an update to their A.I. and many of them will now
become hostile to the player character. There have also been updates to their
behavior when controlled _by_ the player character. Some of the changed behaviors
include:

The **Azulians** will track and follow the player character and jump if you are
above them. Azulians are friendly if the player character is an Azulian or a
Thief. Each color of Azulian has a different aggro radius, speed and jump height
with the Blue Azulian being the weakest of them all.

The **Bird** will search for the player and dive-bomb at them when it sees a shot
it can take. Birds do not attack players who can fly, so they are friendly
to the player character if you play as the Bird. When under the player's control,
the Bird can dive to kill other mobs such as the Azulian.

The **Anvil**, under the player's control, is invulnerable to damage from enemy
mobs and it can crush other mobs by jumping onto them.

#### Game controller support

_Sketchy Maze_ can now be played using an Xbox-compatible controller, including
some from Nintendo such as the Switch Pro Controller.

If you have a Nintendo-like controller where the "A/B" and "X/Y" buttons are each
swapped compared to an Xbox-like, you can choose the "N Style" button layout in
the game's settings. Every PC game controller in my house is a Nintendo-style one,
so this button mapping is a first-class citizen in my game!

See the [Gamepad Controls](https://www.sketchymaze.com/guidebook/controls.html#gamepad-controls)
in the Guidebook for full details!

## New Levels & Doodads

Two new levels have been added:

* **The Zoo:** this Tutorial level shows off basically all of the doodads in the game
  and features a "costume room" to try playing as different creatures.
* **Shapeshifter:** this addition to the First Quest needs the player to swap between
  different creatures to complete the level

And there's a new doodad:

* The **White Azulian** is the strongest Azulian and has a larger player search
  radius, speed and jump height than the Red Azulian.

## Scripting updates for custom doodads

The JavaScript syntax used by doodad scripts now supports many modern ES6 syntax
features, including the `let` and `const` keywords, arrow functions, Promises, and
`for-of` loops, which brings a massive quality of life improvement for programming
custom doodads!

For the technical details, I've replaced [robertkrimen/otto](https://github.com/robertkrimen/otto)
with [dop251/goja](https://github.com/dop251/goja) - check their documentation for updates
on ES6 syntax support!

There are also new features in the scripting API to allow doodads to search the level
for the player or other actors. Check out the functions tagged "v0.11.0" on the
[Script API Reference](https://www.sketchymaze.com/guidebook/custom-doodads/api-reference.html)
for full details.

## Check it out!

**[Download](/download)** the latest release for Windows, Mac OS or Linux!
