---
title: "Screenshots"
draft: false
toc: true
---
The [Guidebook](/guidebook/) site has lots of screenshots of the game sprinkled
throughout, but here are a collection of interesting ones all in one place.

# Desktop

## Gameplay

![Zoo](/images/v0.11.0-zoo.png)

_Screenshot from the "Zoo" level in the Tutorial levelpack._

![Shapeshifter](/images/v0.11.0-shapeshifter.png)

_Screenshot from the "Shapeshifter" level in the First Quest._

![](/images/v0.9.0-gameplay.png)

_Screenshot from the "Boat" level in the First Quest._

![](/images/v0.8.0-gameplay.png)

_Screenshot from the "Castle" level in the First Quest._

-----

## Level Editor

![Level Editor UI](https://www.sketchymaze.com/guidebook/images/newlevel-2.png)

_Level editor viewing the Azulian Tag - Night Sky map._

![Doodad Tool](https://www.sketchymaze.com/guidebook/images/doodads.png)

_Drag doodads into your level._

![Palette Editor](https://www.sketchymaze.com/guidebook/images/palette.png)

_Customize your level's color palette and properties._

-----

## Doodad Editor

![Doodad Editor](https://www.sketchymaze.com/guidebook/images/doodad-editor.png)

_Doodad sprites can be authored in-game._

![Doodad Properties](https://www.sketchymaze.com/guidebook/images/doodad-properties.png)

_JavaScript sources can be attached or exported in the Doodad Editor._

-----

# Mobile GNU/Linux

Sketchy Maze supports ARM 64-bit mobile GNU/Linux devices such as the Pine64
[Pinephone](https://www.pine64.org/pinephone/) ([Pro](https://www.pine64.org/pinephonepro/))
and the Purism [Librem 5](https://puri.sm/products/librem-5/). The screenshots
below were recorded on [Mobian](https://mobian-project.org) with its default
[Phosh](https://puri.sm/posts/phosh-overview/) desktop shell. The game should
run on any bog standard Linux distro running something like KDE Plasma Mobile,
GNOME Shell, Xfce, and can run normal Linux apps.

I try and make the game generally functional, if only a little awkward, on mobile.
The game's popup UI windows are kept under a certain size, it should run on
screens with an effective resolution of 375x750 like the Pinephone.

## Title Screen

The title screen is adaptive for landscape and portrait oriented phones.

![Landscape Titlescreen](/images/landscape-title.png)

![Portrait Titlescreen](/images/mobile-title.png)

## Mobile Gameplay

The game adapts when you rotate your phone.

![Landscape Gameplay](/images/landscape-gameplay.png)

![Portrait Gameplay](/images/mobile-gameplay.png)

## Editor

The level editor is usable on mobile. If your screen is wide enough, the toolbar
shows double-wide columns but will adapt to a single column to give you more
screen real estate to edit your drawing.

![Landscape Editor](/images/landscape-editor.png)

![Doodads window in the editor](/images/landscape-doodads.png)

![Portrait Editor](/images/mobile-editor.png)

There's also a setting to make the toolbars go horizontal instead of vertical,
it might or might not work for you:

![Landscape mode horizontal toolbars](/images/landscape-horizontal.png)

![Portrait mode horizontal toolbars](/images/mobile-horizontal.png)